<template>
    <b-tab title-link-class="p-0" active>
        <template #title>
            <p class="mytab shadow-sm">{{ Data.name }}</p>
        </template>
        <ProjectCarousel :Name="Data.name" :Slides="Data.slides" />
        <b-row class="pt-4">
            <b-col md="12">
                <b-row class="mb-3">
                    <b-col md="1">
                    </b-col>
                    <b-col md="5">
                        <p class="text-left">Role: {{ Data.role }}</p>
                    </b-col>
                    <b-col md="5">
                        <p class="text-right">Technologies: {{ Data.techs }}</p>
                    </b-col>
                    <b-col md="1">
                    </b-col>
                </b-row>
                <ProjectLinks :Embeds="Data.embeds" :Links="Data.links" />
            </b-col>
        </b-row>
    </b-tab>
</template>

<script>
import ProjectCarousel from './ProjectCarousel.vue';
import ProjectLinks from './ProjectLinks.vue';

export default {
    components: {
        ProjectCarousel,
        ProjectLinks
    },
    props: {
        Data: Object
    }
};
</script>

<style scoped>
    .mytab {
        margin: 0;
        padding: 4px;
        text-align: center;
        border-bottom: 1px solid #00000020;
        color: #212529;
    }
        .mytab:hover {
            background: floralwhite;
        }
        .active > .mytab {
            background: floralwhite;
        }
</style>